Bug 449225 - header file crash with gtkmm24 2.13.0
header file crash with gtkmm24 2.13.0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibmm24 (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
http://bugzilla.gnome.org/show_bug.cg...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-31 12:36 EDT by Mamoru TASAKA
Modified: 2008-10-07 20:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-07 20:00:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 529496 None None None Never

  None (edit)
Description Mamoru TASAKA 2008-05-31 12:36:06 EDT
Description of problem:
A package I maintain, jd, heavily depends on glibmm24, gtkmm24.
When compiling jd on koji dist-f10 it fails as

http://koji.fedoraproject.org/koji/taskinfo?taskID=638214

In file included from /usr/include/giomm-2.4/giomm.h:32,
                 from /usr/include/gtkmm-2.4/gtkmm.h:30,
                 from ../../src/skeleton/loadable.h:47,
                 from loader.cpp:12:
/usr/include/giomm-2.4/giomm/error.h:72: error: expected identifier before
numeric constant
/usr/include/giomm-2.4/giomm/error.h:72: error: expected `}' before numeric constant
/usr/include/giomm-2.4/giomm/error.h:72: error: expected unqualified-id before
numeric constant
/usr/include/giomm-2.4/giomm/error.h:77: error: expected `)' before 'error_code'
/usr/include/giomm-2.4/giomm/error.h:78: error: expected `)' before '*' token
/usr/include/giomm-2.4/giomm/error.h:79: error: 'Code' does not name a type
/usr/include/giomm-2.4/giomm/error.h:82: error: expected unqualified-id before
'private'
/usr/include/giomm-2.4/giomm/error.h:85: error: 'friend' used outside of class
/usr/include/giomm-2.4/giomm/error.h:96: error: expected declaration before '}'
token
make[3]: 
*** [loader.o] Error 1

It seems that gtkmm24 2.12.X didn't include giomm related
header files, so this error didn't happen.
Now gtkmm24 is upgraded to unstable 2.13.0 and this compilation failure
began to occur.

Version-Release number of selected component (if applicable):
glibmm24-2.16.0-1.fc9.i386
gtkmm24-2.13.0-1.fc10.i386


How reproducible:
100%

Steps to Reproduce:
1. See above
2.
3.
  
Actual results:
Does not compile....

Additional info:
sed -i '/interface\.h/s|^\(.*\)$|\1\n#undef HOST_NOT_FOUND|'
/usr/include/giomm-2.4/giomm/error.h

can be a workarround?? (for compiling jd this seems to work)
Comment 1 Denis Leroy 2008-05-31 21:35:04 EDT
I just built glibmm 2.16.2 for f10, that should fix the problem. let me know.
Comment 2 Mamoru TASAKA 2008-05-31 22:05:57 EDT
The problem still exists.

http://koji.fedoraproject.org/koji/taskinfo?taskID=638834
Comment 3 Denis Leroy 2008-06-01 04:45:48 EDT
Ok, your jd src.rpm builds for me ok on my i386 F-10 VM. Unfortunately I don't
have an x86_64 vm available at this time. So either it's an x86_64 only issue,
or there's a missing BuildRequires ?
Comment 4 Mamoru TASAKA 2008-06-01 09:49:14 EDT
(In reply to comment #3)
> Ok, your jd src.rpm builds for me ok on my i386 F-10 VM. 

Which srpm do you point to? The lastest srpm
(i.e. jd-2.0.0-0.5.svn2081_trunk.fc10) has a workarround
for this bug so _this_ jd actually builds.
Try jd-2.0.0-0.5.svn2081_trunk.fc10.1 (only available on
devel CVS).

Note:
As upstream says he will release beta version today, once
I upgrade jd on devel/F-[9-7] with applying workarroud on devel
again.
After the rebuild finishes, I will remove workaround on devel
again.
Comment 5 Mamoru TASAKA 2008-06-01 11:54:37 EDT
Now please try jd-2.0.0-0.6.beta080601.fc10.1 (again
only available on devel CVS).

By the way:
(In reply to comment #4)
> Which srpm do you point to? The lastest srpm
> (i.e. jd-2.0.0-0.5.svn2081_trunk.fc10) has a workarround

Actually the workaround is:
--------------------------------------------------------------
%if 0%{?fedora} >= 10 
# Workarround for bug 449225
%{__mkdir_p} Tmp_include/giomm
%{__sed} \
	-e '/interface\.h/s|^\(.*\)$|\1\n#undef HOST_NOT_FOUND|' \
	%{_includedir}/giomm-2.4/giomm/error.h \
	> Tmp_include/giomm/error.h
%endif

.......
%{__make} %{?_smp_mflags} \
%if 0%{?fedora} >= 10 
	CXX="%{__cxx} -I$(pwd)/Tmp_include/"
%endif
----------------------------------------------------------------
which is actually just a workaround.
Comment 6 Denis Leroy 2008-06-03 02:36:40 EDT
Right, there is a cpp namespace conflict with a glibc header file (netdb.h).
This is filed upstream already, so you might have to keep this fix around until
gtkmm 2.23.2 is released...
Comment 7 Mamoru TASAKA 2008-07-04 13:42:15 EDT
Just leaving a note that glibmm24-2.17.0-1.fc10 (and gtkmm24-2.13.1-1.fc10)
are still under this issue.
Comment 8 Mamoru TASAKA 2008-08-24 12:08:39 EDT
glibmm24-2.17.2-1.fc10 is still under this issue.
Comment 9 Denis Leroy 2008-08-24 16:26:39 EDT
http://bugzilla.gnome.org/show_bug.cgi?id=529496

From latest upstream bug comment, this won't be fixed until 2.18 is released, which typically will occur just before F-10 is released :-(
Comment 10 Denis Leroy 2008-10-07 18:13:13 EDT
Should be fixed by

http://koji.fedoraproject.org/koji/buildinfo?buildID=65349

Could you verify and close this bug please ?
Comment 11 Mamoru TASAKA 2008-10-07 20:00:01 EDT
Yes, -3 hides the problem. For now I will close this bug.
Thanks.

Note You need to log in before you can comment on or make changes to this bug.